Skip to main content
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGreg Wilkins2013-03-14 21:32:24 +0000
committerGreg Wilkins2013-03-14 21:32:24 +0000
commitcc34bdc20a77f1c40c765424c9a714c271a0c122 (patch)
tree024d28abcfdedd9d0a871e31ab64f85328a5556b
parent38d701753c3105600ac189d97c2f5a8b2ea44371 (diff)
downloadorg.eclipse.jetty.project-cc34bdc20a77f1c40c765424c9a714c271a0c122.tar.gz
org.eclipse.jetty.project-cc34bdc20a77f1c40c765424c9a714c271a0c122.tar.xz
org.eclipse.jetty.project-cc34bdc20a77f1c40c765424c9a714c271a0c122.zip
403281 jetty.sh waits for started or failure before returning
-rwxr-xr-xjetty-distribution/src/main/resources/bin/jetty.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/jetty-distribution/src/main/resources/bin/jetty.sh b/jetty-distribution/src/main/resources/bin/jetty.sh
index 21fdf80957..c01fbd8dbf 100755
--- a/jetty-distribution/src/main/resources/bin/jetty.sh
+++ b/jetty-distribution/src/main/resources/bin/jetty.sh
@@ -117,6 +117,10 @@ started()
do
sleep 4
[ -z "$(grep STARTED $1)" ] || return 0
+ [ -z "$(grep STOPPED $1)" ] || return 1
+ [ -z "$(grep FAILED $1)" ] || return 1
+ local PID=$(head -n 1 "$1" 2>/dev/null) || return 1
+ kill -0 "$PID" 2>/dev/null || return 1
echo -n ". "
done

Back to the top